Subject: Re: [PATCH 04/10] AOE: use rcu to find network device

From: Stephen Hemminger <[email-masked]>
Date: Thu, 12 Nov 2009 11:09:21 -0800

On Thu, 12 Nov 2009 13:07:35 -0500
Ed Cashin <[email-masked]> wrote:

> Thanks for the responses.
> 
> On Thu Nov 12 12:11:12 EST 2009, [email-masked] wrote:
> ...
> > Since it is emulating a block device, why not propgate error back
> > up the stack like a disk that's offline.
> 
> The lack of local interfaces to use for AoE might be temporary.  For
> example, the admin might be loading a new network driver, or a new
> link might go online through which the AoE target can be reached.
> 
> If AoE command packets are not sent or resent but instead are
> effectively dropped while there are no local interfaces through which
> to send, then the AoE commands will timeout through the normal
> mechanisms, at which time the error will be signaled to the block
> layer.  It will be like normal unreliable ethernet transport.
> 
> In the common case, I think that's going to be the expected behavior,
> but a printk would probably still be helpful in case the admin doesn't
> realize why the AoE device is timing out.
> 

Okay, you might want to ratelimit the printk

--